Index: /trunk/src/bp-groups/bp-groups-template.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-template.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-template.php	(revision 10373)
@@ -5220,6 +5170,5 @@
  * @since 1.1.0
  *
- * @param  int|bool $group_id
- *
+ * @param int|bool $group_id Group ID to check.
  * @return boolean
  */
@@ -5276,5 +5225,5 @@
 }
 
-/** Group Membership Requests *************************************************/
+/* Group Membership Requests *************************************************/
 
 class BP_Groups_Membership_Requests_Template {
@@ -5305,5 +5254,5 @@
 	public function __construct( $args = array() ) {
 
-		// Backward compatibility with old method of passing arguments
+		// Backward compatibility with old method of passing arguments.
 		if ( ! is_array( $args ) || func_num_args() > 1 ) {
 			_deprecated_argument( __METHOD__, '2.0.0', sprintf( __( 'Arguments passed to %1$s should be in an associative array. See the inline documentation at %2$s for more details.', 'buddypress' ), __METHOD__, __FILE__ ) );
@@ -5338,5 +5287,5 @@
 			'page'     => $this->pag_page,
 
-			// These filters ensure we only get pending requests
+			// These filters ensure we only get pending requests.
 			'is_confirmed' => false,
 			'inviter_id'   => 0,
@@ -5346,13 +5295,13 @@
 		$this->request_count = count( $this->requests );
 
-		// Compatibility with legacy format of request data objects
+		// Compatibility with legacy format of request data objects.
 		foreach ( $this->requests as $rk => $rv ) {
 			// For legacy reasons, the 'id' property of each
 			// request must match the membership id, not the ID of
-			// the user (as it's returned by BP_Group_Member_Query)
+			// the user (as it's returned by BP_Group_Member_Query).
 			$this->requests[ $rk ]->user_id = $rv->ID;
 			$this->requests[ $rk ]->id      = $rv->membership_id;
 
-			// Miscellaneous values
+			// Miscellaneous values.
 			$this->requests[ $rk ]->group_id   = $r['group_id'];
 		}
@@ -5417,5 +5366,5 @@
 			 */
 			do_action( 'group_request_loop_end' );
-			// Do some cleaning up after the loop
+			// Do some cleaning up after the loop.
 			$this->rewind_requests();
 		}
@@ -5429,5 +5378,5 @@
 		$this->request     = $this->next_request();
 
-		// loop has just started
+		// Loop has just started.
 		if ( 0 == $this->current_request ) {
 
@@ -5664,5 +5613,5 @@
 	public function __construct( $args = array() ) {
 
-		// Backward compatibility with old method of passing arguments
+		// Backward compatibility with old method of passing arguments.
 		if ( ! is_array( $args ) || func_num_args() > 1 ) {
 			_deprecated_argument( __METHOD__, '2.0.0', sprintf( __( 'Arguments passed to %1$s should be in an associative array. See the inline documentation at %2$s for more details.', 'buddypress' ), __METHOD__, __FILE__ ) );
@@ -5695,5 +5644,5 @@
 			'page'     => $this->pag_page,
 
-			// These filters ensure we get only pending invites
+			// These filters ensure we get only pending invites.
 			'is_confirmed' => false,
 			'inviter_id'   => $r['user_id'],
@@ -5706,5 +5655,5 @@
 
 		// If per_page is set to 0 (show all results), don't generate
-		// pag_links
+		// pag_links.
 		if ( ! empty( $this->pag_num ) ) {
 			$this->pag_links = paginate_links( array(
@@ -5841,5 +5790,5 @@
 	}
 
-	// Set the global (for use in BP_Groups_Invite_Template::the_invite())
+	// Set the global (for use in BP_Groups_Invite_Template::the_invite()).
 	if ( empty( $group_id ) ) {
 		$group_id = $r['group_id'];
@@ -6026,5 +5975,5 @@
 function bp_groups_activity_feed() {
 
-	// Bail if not viewing a single group or activity is not active
+	// Bail if not viewing a single group or activity is not active.
 	if ( ! bp_is_active( 'groups' ) || ! bp_is_active( 'activity' ) || ! bp_is_group() ) {
 		return;
@@ -6049,4 +5998,5 @@
 	 *
 	 * @since 1.5.0
+	 *
 	 * @return string
 	 */
@@ -6214,5 +6164,4 @@
  * @param string $query_args
  * @param bool $nonce
- *
  * @return string
  */
@@ -6228,5 +6177,4 @@
 	 * @param string $query_args
 	 * @param bool $nonce
-	 *
 	 * @return string
 	 */
@@ -6236,5 +6184,5 @@
 		$url           = '';
 
-		// Must be a group
+		// Must be a group.
 		if ( ! empty( $current_group->id ) ) {
 
@@ -6246,8 +6194,8 @@
 			}
 
-			// Add a slash at the end of our user url
+			// Add a slash at the end of our user url.
 			$url = trailingslashit( $url );
 
-			// Add possible query args
+			// Add possible query args.
 			if ( !empty( $query_args ) && is_array( $query_args ) ) {
 				$url = add_query_arg( $query_args, $url );
Index: /trunk/src/bp-groups/bp-groups-widgets.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-widgets.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-widgets.php	(revision 10373)
@@ -10,5 +10,7 @@
 defined( 'ABSPATH' ) || exit;
 
-/* Register widgets for groups component */
+/**
+ * Register widgets for groups component
+ */
 function groups_register_widgets() {
 	add_action('widgets_init', create_function('', 'return register_widget("BP_Groups_Widget");') );
@@ -16,7 +18,12 @@
 add_action( 'bp_register_widgets', 'groups_register_widgets' );
 
-/*** GROUPS WIDGET *****************/
-
+/**
+ * GROUPS WIDGET
+ */
 class BP_Groups_Widget extends WP_Widget {
+
+	/**
+	 * Working as a group, we get things done better.
+	 */
 	function __construct() {
 		$widget_ops = array(
@@ -41,4 +48,10 @@
 	}
 
+	/**
+	 * Extends our frontend output method.
+	 *
+	 * @param array $args     Array of arguments for the widget.
+	 * @param array $instance Widget instance data.
+	 */
 	function widget( $args, $instance ) {
 
@@ -146,4 +159,11 @@
 	}
 
+	/**
+	 * Extends our update method.
+	 *
+	 * @param array $new_instance New instance data.
+	 * @param array $old_instance Original instance data.
+	 * @return array
+	 */
 	function update( $new_instance, $old_instance ) {
 		$instance = $old_instance;
@@ -157,4 +177,10 @@
 	}
 
+	/**
+	 * Extends our form method.
+	 *
+	 * @param array $instance Current instance.
+	 * @return mixed
+	 */
 	function form( $instance ) {
 		$defaults = array(
Index: /trunk/src/bp-groups/classes/class-bp-group-extension.php
===================================================================
--- /trunk/src/bp-groups/classes/class-bp-group-extension.php	(revision 10372)
+++ /trunk/src/bp-groups/classes/class-bp-group-extension.php	(revision 10373)
@@ -36,6 +36,6 @@
  *     of your main extension tab. Defaults to 'groups/single/plugins.php'.
  *   - 'screens' A multi-dimensional array, described below.
- * 	 - 'access' Which users can visit the plugin's tab.
- * 	 - 'show_tab' Which users can see the plugin's navigation tab.
+ *   - 'access' Which users can visit the plugin's tab.
+ *   - 'show_tab' Which users can see the plugin's navigation tab.
  *
  * BP_Group_Extension uses the concept of "settings screens". There are three
@@ -63,11 +63,11 @@
  *   'screens' => array(
  *       'create' => array(
- *	     'slug' => 'foo',
- *	     'name' => 'Foo',
- *	     'position' => 55,
- *	     'screen_callback' => 'my_create_screen_callback',
- *	     'screen_save_callback' => 'my_create_screen_save_callback',
- *	 ),
- *	 'edit' => array( // ...
+ *       'slug' => 'foo',
+ *       'name' => 'Foo',
+ *       'position' => 55,
+ *       'screen_callback' => 'my_create_screen_callback',
+ *       'screen_save_callback' => 'my_create_screen_save_callback',
+ *   ),
+ *   'edit' => array( // ...
  *   ),
  * Only provide those arguments that you actually want to change from the
@@ -272,5 +272,5 @@
 	 * The content of the group tab.
 	 *
-	 * @param int|null $group_id
+	 * @param int|null $group_id ID of the group to display.
 	 */
 	public function display( $group_id = null ) {}
@@ -281,9 +281,11 @@
 	public function widget_display() {}
 
-	// *_screen() displays the settings form for the given context
-	// *_screen_save() processes data submitted via the settings form
-	// The settings_* methods are generic fallbacks, which can optionally
-	// be overridden by the more specific edit_*, create_*, and admin_*
-	// versions.
+	/*
+	 * *_screen() displays the settings form for the given context
+	 * *_screen_save() processes data submitted via the settings form
+	 * The settings_* methods are generic fallbacks, which can optionally
+	 * be overridden by the more specific edit_*, create_*, and admin_*
+	 * versions.
+	 */
 	public function settings_screen( $group_id = null ) {}
 	public function settings_screen_save( $group_id = null ) {}
@@ -354,5 +356,5 @@
 	 */
 	public function init( $args = array() ) {
-		// Store the raw arguments
+		// Store the raw arguments.
 		$this->params_raw = $args;
 
@@ -361,9 +363,9 @@
 		// compatibility with these plugins, we detect whether this is
 		// one of those legacy plugins, and parse any legacy arguments
-		// with those passed to init()
+		// with those passed to init().
 		$this->parse_legacy_properties();
 		$args = $this->parse_args_r( $args, $this->legacy_properties_converted );
 
-		// Parse with defaults
+		// Parse with defaults.
 		$this->params = $this->parse_args_r( $args, array(
 			'slug'              => $this->slug,
@@ -399,14 +401,14 @@
 	public function _register() {
 
-		// Detect and parse properties set by legacy extensions
+		// Detect and parse properties set by legacy extensions.
 		$this->parse_legacy_properties();
 
 		// Initialize, if necessary. This should only happen for
-		// legacy extensions that don't call parent::init() themselves
+		// legacy extensions that don't call parent::init() themselves.
 		if ( true !== $this->initialized ) {
 			$this->init();
 		}
 
-		// Set some config values, based on the parsed params
+		// Set some config values, based on the parsed params.
 		$this->group_id          = $this->get_group_id();
 		$this->slug              = $this->params['slug'];
@@ -418,15 +420,15 @@
 		$this->template_file     = $this->params['template_file'];
 
-		// Configure 'screens': create, admin, and edit contexts
+		// Configure 'screens': create, admin, and edit contexts.
 		$this->setup_screens();
 
-		// Configure access-related settings
+		// Configure access-related settings.
 		$this->setup_access_settings();
 
 		// Mirror configuration data so it's accessible to plugins
-		// that look for it in its old locations
+		// that look for it in its old locations.
 		$this->setup_legacy_properties();
 
-		// Hook the extension into BuddyPress
+		// Hook the extension into BuddyPress.
 		$this->setup_display_hooks();
 		$this->setup_create_hooks();
@@ -468,8 +470,8 @@
 	public static function get_group_id() {
 
-		// Usually this will work
+		// Usually this will work.
 		$group_id = bp_get_current_group_id();
 
-		// On the admin, get the group id out of the $_GET params
+		// On the admin, get the group id out of the $_GET params.
 		if ( empty( $group_id ) && is_admin() && ( isset( $_GET['page'] ) && ( 'bp-groups' === $_GET['page'] ) ) && ! empty( $_GET['gid'] ) ) {
 			$group_id = (int) $_GET['gid'];
@@ -477,5 +479,5 @@
 
 		// This fallback will only be hit when the create step is very
-		// early
+		// early.
 		if ( empty( $group_id ) && bp_get_new_group_id() ) {
 			$group_id = bp_get_new_group_id();
@@ -484,5 +486,5 @@
 		// On some setups, the group id has to be fetched out of the
 		// $_POST array
-		// @todo Figure out why this is happening during group creation
+		// @todo Figure out why this is happening during group creation.
 		if ( empty( $group_id ) && isset( $_POST['group_id'] ) ) {
 			$group_id = (int) $_POST['group_id'];
@@ -552,19 +554,19 @@
 	 */
 	protected function setup_access_settings() {
-		// Bail if no group ID is available
+		// Bail if no group ID is available.
 		if ( empty( $this->group_id ) ) {
 			return;
 		}
 
-		// Backward compatibility
+		// Backward compatibility.
 		if ( isset( $this->params['enable_nav_item'] ) ) {
 			$this->enable_nav_item = (bool) $this->params['enable_nav_item'];
 		}
 
-		// Tab Access
+		// Tab Access.
 		$this->user_can_visit = false;
 
 		// Backward compatibility for components that do not provide
-		// explicit 'access' parameter
+		// explicit 'access' parameter.
 		if ( empty( $this->params['access'] ) ) {
 			if ( false === $this->enable_nav_item ) {
@@ -576,8 +578,8 @@
 
 				if ( ! empty( $group->status ) && 'public' === $group->status ) {
-					// Tabs in public groups are accessible to anyone by default
+					// Tabs in public groups are accessible to anyone by default.
 					$this->params['access'] = 'anyone';
 				} else {
-					// All other groups have members-only as the default
+					// All other groups have members-only as the default.
 					$this->params['access'] = 'member';
 				}
@@ -585,5 +587,5 @@
 		}
 
-		// Parse multiple access conditions into an array
+		// Parse multiple access conditions into an array.
 		$access_conditions = $this->params['access'];
 		if ( ! is_array( $access_conditions ) ) {
@@ -592,5 +594,5 @@
 
 		// If the current user meets at least one condition, the
-		// get access
+		// get access.
 		foreach ( $access_conditions as $access_condition ) {
 			if ( $this->user_meets_access_condition( $access_condition ) ) {
@@ -600,14 +602,14 @@
 		}
 
-		// Tab Visibility
+		// Tab Visibility.
 		$this->user_can_see_nav_item = false;
 
 		// Backward compatibility for components that do not provide
-		// explicit 'show_tab' parameter
+		// explicit 'show_tab' parameter.
 		if ( empty( $this->params['show_tab'] ) ) {
 			if ( false === $this->params['enable_nav_item'] ) {
-				// enable_nav_item is only false if it's been
+				// The enable_nav_item index is only false if it's been
 				// defined explicitly as such in the
-				// constructor. So we always trust this value
+				// constructor. So we always trust this value.
 				$this->params['show_tab'] = 'noone';
 
@@ -616,5 +618,5 @@
 				// we assume this  is a legacy extension.
 				// Legacy behavior is that enable_nav_item=true +
-				// visibility=private implies members-only
+				// visibility=private implies members-only.
 				if ( 'public' !== $this->visibility ) {
 					$this->params['show_tab'] = 'member';
@@ -625,10 +627,10 @@
 			} else {
 				// No show_tab or enable_nav_item value is
-				// available, so match the value of 'access'
+				// available, so match the value of 'access'.
 				$this->params['show_tab'] = $this->params['access'];
 			}
 		}
 
-		// Parse multiple access conditions into an array
+		// Parse multiple access conditions into an array.
 		$access_conditions = $this->params['show_tab'];
 		if ( ! is_array( $access_conditions ) ) {
@@ -637,5 +639,5 @@
 
 		// If the current user meets at least one condition, the
-		// get access
+		// get access.
 		foreach ( $access_conditions as $access_condition ) {
 			if ( $this->user_meets_access_condition( $access_condition ) ) {
@@ -697,10 +699,10 @@
 	protected function setup_display_hooks() {
 
-		// Bail if not a group
+		// Bail if not a group.
 		if ( ! bp_is_group() ) {
 			return;
 		}
 
-		// Backward compatibility only
+		// Backward compatibility only.
 		if ( ( 'public' !== $this->visibility ) && ! buddypress()->groups->current_group->user_has_access ) {
 			return;
@@ -740,5 +742,5 @@
 			) );
 
-			// When we are viewing the extension display page, set the title and options title
+			// When we are viewing the extension display page, set the title and options title.
 			if ( bp_is_current_action( $this->slug ) ) {
 				add_filter( 'bp_group_user_has_access',   array( $this, 'group_access_protection' ), 10, 2 );
@@ -748,5 +750,5 @@
 		}
 
-		// Hook the group home widget
+		// Hook the group home widget.
 		if ( ! bp_current_action() && bp_is_current_action( 'home' ) ) {
 			add_action( $this->display_hook, array( &$this, 'widget_display' ) );
@@ -790,6 +792,5 @@
 	 * @since 2.1.0
 	 *
-	 * @param bool $user_can_see_nav_item
-	 *
+	 * @param bool $user_can_see_nav_item Whether or not the user can see the nav item.
 	 * @return bool
 	 */
@@ -807,6 +808,5 @@
 	 * @since 2.1.0
 	 *
-	 * @param bool $user_can_visit
-	 *
+	 * @param bool $user_can_visit Whether or not the user can visit the tab.
 	 * @return bool
 	 */
@@ -828,7 +828,6 @@
 	 * @since 2.1.0
 	 *
-	 * @param bool  $user_can_visit
-	 * @param array $no_access_args
-	 *
+	 * @param bool  $user_can_visit Whether or not the user can visit the tab.
+	 * @param array $no_access_args Array of args to help determine access.
 	 * @return bool
 	 */
@@ -864,5 +863,5 @@
 		$screen = $this->screens['create'];
 
-		// Insert the group creation step for the new group extension
+		// Insert the group creation step for the new group extension.
 		buddypress()->groups->group_creation_steps[ $screen['slug'] ] = array(
 			'name'     => $screen['name'],
@@ -875,5 +874,5 @@
 		// correct group creation step). Hooked in separate
 		// methods because current creation step info not yet
-		// available at this point
+		// available at this point.
 		add_action( 'groups_custom_create_steps', array( $this, 'maybe_create_screen' ) );
 		add_action( 'groups_create_group_step_save_' . $screen['slug'], array( $this, 'maybe_create_screen_save' ) );
@@ -894,5 +893,5 @@
 
 		// The create screen requires an additional nonce field
-		// due to a quirk in the way the templates are built
+		// due to a quirk in the way the templates are built.
 		wp_nonce_field( 'groups_create_save_' . bp_get_groups_current_create_step(), '_wpnonce', false );
 	}
@@ -920,10 +919,10 @@
 	 */
 	protected function setup_edit_hooks() {
-		// Bail if not in a group
+		// Bail if not in a group.
 		if ( ! bp_is_group() ) {
 			return;
 		}
 
-		// Bail if not an edit screen
+		// Bail if not an edit screen.
 		if ( ! $this->is_screen_enabled( 'edit' ) || ! bp_is_item_admin() ) {
 			return;
@@ -948,13 +947,13 @@
 		);
 
-		// Should we add a menu to the Group's WP Admin Bar
+		// Should we add a menu to the Group's WP Admin Bar.
 		if ( ! empty( $screen['show_in_admin_bar'] ) ) {
 			$subnav_args['show_in_admin_bar'] = true;
 		}
 
-		// Add the tab to the manage navigation
+		// Add the tab to the manage navigation.
 		bp_core_new_subnav_item( $subnav_args );
 
-		// Catch the edit screen and forward it to the plugin template
+		// Catch the edit screen and forward it to the plugin template.
 		if ( bp_is_groups_component() && bp_is_current_action( 'admin' ) && bp_is_action_variable( $screen['slug'], 0 ) ) {
 			$this->call_edit_screen_save( $this->group_id );
@@ -963,5 +962,5 @@
 
 			// Determine the proper template and save for later
-			// loading
+			// loading.
 			if ( '' !== bp_locate_template( array( 'groups/single/home.php' ), false ) ) {
 				$this->edit_screen_template = '/groups/single/home';
@@ -973,5 +972,5 @@
 
 			// We load the template at bp_screens, to give all
-			// extensions a chance to load
+			// extensions a chance to load.
 			add_action( 'bp_screens', array( $this, 'call_edit_screen_template_loader' ) );
 		}
@@ -1015,5 +1014,5 @@
 
 		// When DOING_AJAX, the POST global will be populated, but we
-		// should assume it's a save
+		// should assume it's a save.
 		if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) {
 			return;
@@ -1023,14 +1022,14 @@
 
 		// Detect whether the screen_save_callback is performing a
-		// redirect, so that we don't do one of our own
+		// redirect, so that we don't do one of our own.
 		add_filter( 'wp_redirect', array( $this, 'detect_post_save_redirect' ) );
 
-		// Call the extension's save routine
+		// Call the extension's save routine.
 		call_user_func( $this->screens['edit']['screen_save_callback'], $this->group_id );
 
-		// Clean up detection filters
+		// Clean up detection filters.
 		remove_filter( 'wp_redirect', array( $this, 'detect_post_save_redirect' ) );
 
-		// Perform a redirect only if one has not already taken place
+		// Perform a redirect only if one has not already taken place.
 		if ( empty( $this->post_save_redirect ) ) {
 
@@ -1082,5 +1081,4 @@
 	 * @param string $screen The screen markup, captured in the output
 	 *                       buffer.
-	 *
 	 * @return string $screen The same markup, with a submit button added.
 	 */
@@ -1104,5 +1102,4 @@
 	 *
 	 * @param string $screen The markup to check.
-	 *
 	 * @return bool True if a Submit button is found, otherwise false.
 	 */
@@ -1118,6 +1115,5 @@
 	 * @since 2.1.0
 	 *
-	 * @param string $redirect
-	 *
+	 * @param string $redirect Redirect string.
 	 * @return string
 	 */
@@ -1142,11 +1138,11 @@
 		}
 
-		// Hook the admin screen markup function to the content hook
+		// Hook the admin screen markup function to the content hook.
 		add_action( 'bp_groups_admin_meta_box_content_' . $this->slug, array( $this, 'call_admin_screen' ) );
 
-		// Initialize the metabox
+		// Initialize the metabox.
 		add_action( 'bp_groups_admin_meta_boxes', array( $this, '_meta_box_display_callback' ) );
 
-		// Catch the metabox save
+		// Catch the metabox save.
 		add_action( 'bp_group_admin_edit_after', array( $this, 'call_admin_screen_save' ), 10 );
 	}
@@ -1232,5 +1228,4 @@
 	 *
 	 * @param string $context Screen context. 'create', 'edit', or 'admin'.
-	 *
 	 * @return bool True if the screen is enabled, otherwise false.
 	 */
@@ -1282,5 +1277,4 @@
 	 * @param string $type    Screen type. 'screen' or 'screen_save'. Default:
 	 *                        'screen'.
-	 *
 	 * @return callable A callable function handle.
 	 */
@@ -1288,5 +1282,5 @@
 		$callback = '';
 
-		// Try the context-specific callback first
+		// Try the context-specific callback first.
 		$method  = $context . '_' . $type;
 		$rmethod = $this->class_reflection->getMethod( $method );
@@ -1332,5 +1326,4 @@
 	 * @param array $a First set of arguments.
 	 * @param array $b Second set of arguments.
-	 *
 	 * @return array Parsed arguments.
 	 */
@@ -1376,5 +1369,4 @@
 	 *
 	 * @param string $key Property name.
-	 *
 	 * @return mixed The value if found, otherwise null.
 	 */
@@ -1401,5 +1393,4 @@
 	 *
 	 * @param string $key Property name.
-	 *
 	 * @return bool True if the value is set, otherwise false.
 	 */
@@ -1425,5 +1416,5 @@
 	 *
 	 * @param string $key Property name.
-	 * @param mixed $value Property value.
+	 * @param mixed  $value Property value.
 	 */
 	public function __set( $key, $value ) {
@@ -1450,5 +1441,5 @@
 				break;
 
-			// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'
+			// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'.
 			case 'admin_name' :
 				$this->screens['edit']['name'] = $value;
@@ -1527,5 +1518,5 @@
 	protected function parse_legacy_properties() {
 
-		// Only run this one time
+		// Only run this one time.
 		if ( ! empty( $this->legacy_properties_converted ) ) {
 			return;
@@ -1534,15 +1525,15 @@
 		$properties = $this->get_legacy_property_list();
 
-		// By-reference variable for convenience
+		// By-reference variable for convenience.
 		$lpc =& $this->legacy_properties_converted;
 
 		foreach ( $properties as $property ) {
 
-			// No legacy config exists for this key
+			// No legacy config exists for this key.
 			if ( ! isset( $this->{$property} ) ) {
 				continue;
 			}
 
-			// Grab the value and record it as appropriate
+			// Grab the value and record it as appropriate.
 			$value = $this->{$property};
 
@@ -1564,5 +1555,5 @@
 					break;
 
-				// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'
+				// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'.
 				case 'admin_name' :
 					$lpc['screens']['edit']['name'] = $value;
@@ -1610,5 +1601,5 @@
 	protected function setup_legacy_properties() {
 
-		// Only run this one time
+		// Only run this one time.
 		if ( ! empty( $this->legacy_properties ) ) {
 			return;
@@ -1637,5 +1628,5 @@
 					break;
 
-				// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'
+				// Note: 'admin' becomes 'edit' to distinguish from Dashboard 'admin'.
 				case 'admin_name' :
 					$lp['admin_name'] = $params['screens']['edit']['name'];
@@ -1663,8 +1654,8 @@
 
 				default :
-					// All other items get moved over
+					// All other items get moved over.
 					$lp[ $property ] = $params[ $property ];
 
-					// Also reapply to the object, for backpat
+					// Also reapply to the object, for backpat.
 					$this->{$property} = $params[ $property ];
 
@@ -1678,5 +1669,5 @@
  * Register a new Group Extension.
  *
- * @param string Name of the Extension class.
+ * @param string $group_extension_class Name of the Extension class.
  * @return false|null Returns false on failure, otherwise null.
  */
Index: /trunk/src/bp-groups/classes/class-bp-group-member-query.php
===================================================================
--- /trunk/src/bp-groups/classes/class-bp-group-member-query.php	(revision 10372)
+++ /trunk/src/bp-groups/classes/class-bp-group-member-query.php	(revision 10373)
@@ -58,13 +58,13 @@
 		// Take this early opportunity to set the default 'type' param
 		// to 'last_joined', which will ensure that BP_User_Query
-		// trusts our order and does not try to apply its own
+		// trusts our order and does not try to apply its own.
 		if ( empty( $this->query_vars_raw['type'] ) ) {
 			$this->query_vars_raw['type'] = 'last_joined';
 		}
 
-		// Set the sort order
+		// Set the sort order.
 		add_action( 'bp_pre_user_query', array( $this, 'set_orderby' ) );
 
-		// Set up our populate_extras method
+		// Set up our populate_extras method.
 		add_action( 'bp_user_query_populate_extras', array( $this, 'populate_group_member_extras' ), 10, 2 );
 	}
@@ -100,5 +100,5 @@
 
 		// If the group member query returned no users, bail with an
-		// array that will guarantee no matches for BP_User_Query
+		// array that will guarantee no matches for BP_User_Query.
 		if ( empty( $group_member_ids ) ) {
 			return array( 0 );
@@ -134,14 +134,14 @@
 		);
 
-		/** WHERE clauses *****************************************************/
-
-		// Group id
+		/* WHERE clauses *****************************************************/
+
+		// Group id.
 		$sql['where'][] = $wpdb->prepare( "group_id = %d", $this->query_vars['group_id'] );
 
-		// is_confirmed
+		// If is_confirmed.
 		$is_confirmed = ! empty( $this->query_vars['is_confirmed'] ) ? 1 : 0;
 		$sql['where'][] = $wpdb->prepare( "is_confirmed = %d", $is_confirmed );
 
-		// invite_sent
+		// If invite_sent.
 		if ( ! is_null( $this->query_vars['invite_sent'] ) ) {
 			$invite_sent = ! empty( $this->query_vars['invite_sent'] ) ? 1 : 0;
@@ -149,19 +149,19 @@
 		}
 
-		// inviter_id
+		// If inviter_id.
 		if ( ! is_null( $this->query_vars['inviter_id'] ) ) {
 			$inviter_id = $this->query_vars['inviter_id'];
 
-			// Empty: inviter_id = 0. (pass false, 0, or empty array)
+			// Empty: inviter_id = 0. (pass false, 0, or empty array).
 			if ( empty( $inviter_id ) ) {
 				$sql['where'][] = "inviter_id = 0";
 
-			// The string 'any' matches any non-zero value (inviter_id != 0)
+			// The string 'any' matches any non-zero value (inviter_id != 0).
 			} elseif ( 'any' === $inviter_id ) {
 				$sql['where'][] = "inviter_id != 0";
 
-			// Assume that a list of inviter IDs has been passed
+			// Assume that a list of inviter IDs has been passed.
 			} else {
-				// Parse and sanitize
+				// Parse and sanitize.
 				$inviter_ids = wp_parse_id_list( $inviter_id );
 				if ( ! empty( $inviter_ids ) ) {
@@ -180,5 +180,5 @@
 		}
 
-		// Sanitize: Only 'admin', 'mod', 'member', and 'banned' are valid
+		// Sanitize: Only 'admin', 'mod', 'member', and 'banned' are valid.
 		$allowed_roles = array( 'admin', 'mod', 'member', 'banned' );
 		foreach ( $roles as $role_key => $role_value ) {
@@ -192,5 +192,5 @@
 		// When querying for a set of roles containing 'member' (for
 		// which there is no dedicated is_ column), figure out a list
-		// of columns *not* to match
+		// of columns *not* to match.
 		$roles_sql = '';
 		if ( in_array( 'member', $roles ) ) {
@@ -205,5 +205,5 @@
 
 		// When querying for a set of roles *not* containing 'member',
-		// simply construct a list of is_* = 1 clauses
+		// simply construct a list of is_* = 1 clauses.
 		} else {
 			$role_columns = array();
@@ -226,5 +226,5 @@
 		// of 'type'. If the 'type' value is not 'last_joined' or
 		// 'first_joined', the order will be overridden in
-		// BP_Group_Member_Query::set_orderby()
+		// BP_Group_Member_Query::set_orderby().
 		$sql['orderby'] = "ORDER BY date_modified";
 		$sql['order']   = 'first_joined' === $this->query_vars['type'] ? 'ASC' : 'DESC';
@@ -272,10 +272,10 @@
 		if ( in_array( $query->query_vars['type'], array( 'last_joined', 'first_joined', 'group_activity' ) ) ) {
 
-			// Group Activity DESC
+			// Group Activity DESC.
 			if ( 'group_activity' == $query->query_vars['type'] ) {
 				$gm_ids = $this->get_gm_ids_ordered_by_activity( $query, $gm_ids );
 			}
 
-			// The first param in the FIELD() clause is the sort column id
+			// The first param in the FIELD() clause is the sort column id.
 			$gm_ids = array_merge( array( 'u.id' ), wp_parse_id_list( $gm_ids ) );
 			$gm_ids_sql = implode( ',', $gm_ids );
@@ -285,5 +285,5 @@
 
 		// Prevent this filter from running on future BP_User_Query
-		// instances on the same page
+		// instances on the same page.
 		remove_action( 'bp_pre_user_query', array( $this, 'set_orderby' ) );
 	}
@@ -293,5 +293,4 @@
 	 *
 	 * Additional data fetched:
-	 *
 	 *      - is_banned
 	 *      - date_modified
@@ -313,5 +312,5 @@
 		foreach ( (array) $extras as $extra ) {
 			if ( isset( $this->results[ $extra->user_id ] ) ) {
-				// user_id is provided for backward compatibility
+				// The user_id is provided for backward compatibility.
 				$this->results[ $extra->user_id ]->user_id       = (int) $extra->user_id;
 				$this->results[ $extra->user_id ]->is_admin      = (int) $extra->is_admin;
@@ -328,5 +327,5 @@
 		}
 
-		// Don't filter other BP_User_Query objects on the same page
+		// Don't filter other BP_User_Query objects on the same page.
 		remove_action( 'bp_user_query_populate_extras', array( $this, 'populate_group_member_extras' ), 10, 2 );
 	}
@@ -339,5 +338,4 @@
 	 * @param BP_User_Query $query  BP_User_Query object.
 	 * @param array         $gm_ids array of group member ids.
-	 *
 	 * @return array
 	 */
